ANNIE1-MRD-design - Task #8617

Follow up with NMSU about keeping the MRD Scintillator
05/05/2015 03:35 PM - Matthew Wetstein

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 05/05/2015 03:37 PM - Matthew Wetstein
- Project changed from ANNIE1-Planning to ANNIE1-MRD-design

#2 - 05/05/2015 03:41 PM - Matthew Wetstein
- Due date set to 06/01/2015
- Start date changed from 05/20/2015 to 05/05/2015

#3 - 12/18/2015 09:22 AM - Matthew Wetstein
- Due date deleted (06/01/2015)
- Start date deleted (05/05/2015)
